#
# Conditional build:
%bcond_without	a11y	# disable accessibility themes

Summary:	MATE Desktop themes
Name:		mate-themes
Version:	1.6.2
Release:	1
License:	GPL v2+
Group:		Themes
Source0:	http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz
# Source0-md5:	845c0ca1834d2dab776dfd09054f9efc
URL:		http://mate-desktop.org/
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	gtk2-engines
BuildRequires:	icon-naming-utils >= 0.8.7
BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	gtk-update-icon-cache
Requires:	gtk2-engines
Requires:	gtk2-theme-engine-murrine >= 0.98
Requires:	mate-icon-theme >= 1.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE Desktop themes:

- AlaDelta: gtk2, metacity
- Atlanta: metacity
- BlackMATE: cinnamon, gnome-shell, gtk2, gtk3, metacity
- Fog: metacity
- GreenLaguna: gtk2, gtk3, metacity
- Menta: cinnamon, gnome-shell, gtk2, gtk3, metacity, unity, xfwm4
- Menta-Black: metacity
- Quid: ? (x-gnome-metatheme)
- Shiny: gtk2, metacity
- Simply: gtk2
- TraditionalGreen: gtk2, gtk3, metacity
- TraditionalOk: gtk2, gtk3, metacity, openbox, xfwm4

%package accessibility
Summary:	Accessibility themes for MATE environment
Group:		Themes
Requires:	%{name} = %{version}-%{release}
Requires:	mate-icon-theme >= 1.5

%description accessibility
Accessibility themes for MATE environment:

- ContrastHigh: gtk2, gtk3, metacity
- ContrastHighInverse: gtk2
- ContrastHighLargePrint: gtk2
- ContrastHighLargePrintInverse: gtk2
- ContrastLow: gtk2
- ContrastLowLargePrint: gtk2
- PrintLarge: gtk2
- Reverse: gtk2, metacity

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{__enable_disable a11y all-themes} \
	--enable-icon-mapping \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

for dir in $RPM_BUILD_ROOT%{_iconsdir}/*/; do
	gtk-update-icon-cache -ft $dir
done

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache Fog
%update_icon_cache Quid

%postun
if [ $1 -eq 0 ]; then
	%update_icon_cache Fog
	%update_icon_cache Quid
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%{_datadir}/themes/AlaDelta
%{_datadir}/themes/Atantla
%{_datadir}/themes/BlackMATE
%{_datadir}/themes/Fog
%{_datadir}/themes/GreenLaguna
%{_datadir}/themes/Menta
%{_datadir}/themes/Menta-Black
%{_datadir}/themes/Quid
%{_datadir}/themes/Shiny
%{_datadir}/themes/Simply
%{_datadir}/themes/TraditionalGreen
%{_datadir}/themes/TraditionalOk
%{_iconsdir}/Fog
%{_iconsdir}/Quid
%{_iconsdir}/mate/cursors

%files accessibility
%defattr(644,root,root,755)
%{_datadir}/themes/ContrastHigh
%{_datadir}/themes/ContrastHighInverse
%{_datadir}/themes/ContrastHighLargePrint
%{_datadir}/themes/ContrastHighLargePrintInverse
%{_datadir}/themes/ContrastLow
%{_datadir}/themes/ContrastLowLargePrint
%{_datadir}/themes/PrintLarge
%{_datadir}/themes/Reverse
%{_iconsdir}/ContrastHigh
%{_iconsdir}/ContrastHigh-SVG
%{_iconsdir}/ContrastHighInverse
%{_iconsdir}/ContrastHighLargePrint
%{_iconsdir}/ContrastHighLargePrintInverse
%{_iconsdir}/MateLargePrint
%changelog
* Mon Nov 11 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-themes.git;a=log;h=master

* Mon Nov 11 2013 Elan Ruusamäe <glen@delfi.ee> f045f42
- up to 1.6.2

* Tue Jun 11 2013 Elan Ruusamäe <glen@delfi.ee> 33f88e2
- up to 1.6.1, Aldabra theme was removed

* Sat Apr 06 2013 Elan Ruusamäe <glen@delfi.ee> fc6c29e
- themes look usable with murrine >= 0.98; rel 1

* Sat Apr 06 2013 Elan Ruusamäe <glen@delfi.ee> ffa3ed7
- do not package common license

* Sat Apr 06 2013 Elan Ruusamäe <glen@delfi.ee> 49f66d8
- fix post scriptlets updating icon caches only themes that have it

* Fri Apr 05 2013 Elan Ruusamäe <glen@delfi.ee> 1d5c856
- up to 1.6.0, fix icon theme name

* Thu Mar 28 2013 Elan Ruusamäe <glen@delfi.ee> 2911685
- mate-icon-theme-devel may be superfluous !

* Wed Mar 27 2013 Elan Ruusamäe <glen@delfi.ee> 83dcda3
- update BR deps

* Wed Mar 27 2013 Elan Ruusamäe <glen@delfi.ee> 9af65f3
- enable install of all themes

* Wed Mar 27 2013 Elan Ruusamäe <glen@delfi.ee> b6552b3
- list what engines each theme provides

* Wed Mar 27 2013 Elan Ruusamäe <glen@delfi.ee> 99dfa2f
- up to 1.5.2

* Wed Mar 27 2013 Elan Ruusamäe <glen@delfi.ee> a11657d
- up to 1.5.1

* Mon Dec 24 2012 Elan Ruusamäe <glen@delfi.ee> 3685a07
- subpackage accessibility themes

* Mon Dec 24 2012 Elan Ruusamäe <glen@delfi.ee> 2c8f6bf
- new, version 1.5.0

